
StocksAndFisheriesKB - Bug #16923

Cannot publish records in GRSF Admin VRE (unauthorized)

Jun 12, 2019 03:33 PM - Yannis Marketakis

Status: Closed Start date: Jun 12, 2019

Priority: Normal Due date:  

Assignee: Francesco Mangiacrapa % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

I tried to publish a record in GRSF Admin today and encountered a not authorized message. The detailed message is shown below. 

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body: {"id":null,

"knowledge_base_id":null,"product_url":null,"error":"You are not authorized to create a product. P

lease check you have the Catalogue-Administrator role!"}

    at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.publishRecord(GrsfPublisher.java:103)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishRecords(PublisherClient.ja

va:761)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfStocks(PublisherClient

.java:503)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfStock(PublisherClient.

java:435)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.main(PublisherClient.java:984)

2019-06-12 16:24:38 ERROR PublisherClient:775 - An error occured while publishing records for grsf

gr.forth.ics.isl.grsfservicescore.exception.GrsfPublishingException: Fatal transport error

    at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.publishRecord(GrsfPublisher.java:113)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishRecords(PublisherClient.ja

va:761)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfStocks(PublisherClient

.java:503)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfStock(PublisherClient.

java:435)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.main(PublisherClient.java:984)

 Can you please check?

Related issues:

Blocks StocksAndFisheriesKB - Task #16880: Merge GRSF records (FIRMS - IOTC v... Closed Jun 05, 2019

History

#1 - Jun 12, 2019 03:34 PM - Yannis Marketakis

- Blocks Task #16880: Merge GRSF records (FIRMS - IOTC vs RAM) added

#2 - Jun 12, 2019 04:58 PM - Luca Frosini

- Status changed from New to In Progress

Can you please retry now?

#3 - Jun 13, 2019 02:20 PM - Yannis Marketakis

I just tried. Still the same issue.

#4 - Jun 13, 2019 02:48 PM - Francesco Mangiacrapa

Hi @marketak@ics.forth.gr,

the issue could be caused by a patch recently released to the CKAN APIs.

I just disabled such patch and now the publishing should work again (nothing else has been changed).

Could you kindly try again? Sorry for the inconvenience.

#5 - Jun 13, 2019 03:09 PM - Yannis Marketakis

May 02, 2025 1/2



- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Thanks for the update Francesco. It's fine now. I published a record properly. 

#6 - Jul 26, 2019 11:00 AM - Yannis Marketakis

- Status changed from Closed to In Progress

- Assignee changed from Luca Frosini to Francesco Mangiacrapa

- % Done changed from 100 to 90

Hi Fransesco, 

I just tried to publish some records in GRSF VRE, however I'm facing again the same issue.

Could you please check this out?

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body: {"id":null,"knowledge_b

ase_id":null,"product_url":null,"error":"You are not authorized to create a product. Please check you have the

 Catalogue-Administrator role!"}

    at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.publishRecord(GrsfPublisher.java:103)

    at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfRecordInPublicCatalog(PublisherCli

ent.java:791)

    at gr.forth.ics.isl.grsfservicescore.clients.ApprovalClient.approveGrsfStock(ApprovalClient.java:136)

    at gr.forth.ics.isl.grsfservicescore.clients.ApprovalClient.main(ApprovalClient.java:225)

2019-07-26 11:58:13 ERROR PublisherClient:802 - An error occured while publishing record for grsf

#7 - Jul 26, 2019 01:05 PM - Francesco Mangiacrapa

Hi Yannis,

Could you please retry now?

We have just updated the grsf-publishe-ws service instance (see at https://support.d4science.org/issues/16951#note-7) on production and it should fix

(I hope definitively) the issue.

Let me know... 

#8 - Jul 26, 2019 01:14 PM - Yannis Marketakis

Thanks Fransesco.

It works without any issues.

#9 - Jul 26, 2019 01:18 PM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
